// ****************************************************************************
//                                                                            *
//     ArmA 3 Basic Network Config File - basic.cfg                           *
//                                                                            *
//     More info about parameters:                                            *
//     https://community.bistudio.com/wiki/basic.cfg                          *
//                                                                            *
// ****************************************************************************

// Defines network tuning parameters.
//
// This file is to be passed to the -cfg parameter on the command line for the server.
// The following settings are the suggested settings.
// Some settings are disabled (commented out) by default. Remove the // behind a setting to activate it.

// BANDWIDTH SETTINGS

// Bandwidth the server is guaranteed to have (in bps)
// General guideline is NumberOfPlayers * 256kb
// Default: 131072
//MinBandwidth=5120000;
// Bandwidth the server can never go above (in bps)
// For a single server, use full network speed; decrease when running multiple servers
//MaxBandwidth=10240000;

// PACKET SETTINGS

// Maximum number of packets per frame.
// Increasing the value potentially decreases lag, but increases desync
// Default: 128
//MaxMsgSend=2048;
// Maximum payload of guaranteed packet (in b)
// Small messages are packed to larger packets
// Guaranteed packets are used for non-repetitive events, like shooting
// Lower value means more packets are sent, so less events will get combined
// Default: 512
MaxSizeGuaranteed=512;
// Maximum payload of non-guaranteed packet (in b)
// Increasing this value may improve bandwidth requirement, but may also increase lag
// Largest factor in desync
// Guidance is half of MaxSizeGuaranteed
// Default: 256
MaxSizeNonguaranteed=256;
// Maximal size of a packet sent over the network
// Only necessary if ISP forces lower packet size and there are connectivity issues
// Default: 1400
//class sockets{maxPacketSize=1400};

// SMOOTHNESS SETTINGS

// Minimal error required to send network updates for far units
// Smaller values will make for smoother movement at long ranges, but will increase network traffic
// Default: 0.003
//MinErrorToSend=0.01;
// Minimal error required to send network updates for near units
// Using larger value can reduce traffic sent for near units
// Also controls client to server traffic
// Default: 0.01
//MinErrorToSendNear=0.02;
